ORB API
Response and request schema references are described in API schemas.
GET /stats/orb
Section titled “GET /stats/orb”Get Opening Range Breakout
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Trading date (YYYY-MM-DD) to analyse |
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
orb_minutes |
query | No | {"type": "integer", "default": 5} |
Length of opening range in minutes (e.g., 1, 2, 5, 15) |
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
If True, include pre- and after-market data in breakout detection |
orb_reentry_candles |
query | No | {"type": "integer", "default": 2} |
Number of consecutive candles required to confirm reentry into the ORB zone after breakout |
include_excursion |
query | No | {"type": "boolean", "default": false} |
Include the available movement profile when supported. |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/orb/doc
Section titled “GET /stats/orb/doc”Orb Doc
Returns documentation for the fields in the ORB analysis output.
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }}GET /stats/orb/summary
Section titled “GET /stats/orb/summary”Get Opening Range Summary
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
orb_minutes |
query | No | {"type": "integer", "default": 5} |
Length of opening range in minutes (e.g., 1, 2, 5, 15) |
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
If True, include pre- and after-market data in breakout detection |
orb_reentry_candles |
query | No | {"type": "integer", "default": 2} |
Number of consecutive candles required to confirm reentry into the ORB zone after breakout |
include_excursion |
query | No | {"type": "boolean", "default": false} |
Include the available movement profile when supported. |
Responses
Section titled “Responses”{ "200": { "description": "ORB summary with directional outcome and distribution metrics.", "content": { "application/json": { "schema": { "type": "object", "description": "Historical ORB summary. `outcome_metrics` is separated by breakout direction so up and down events are never pooled.", "properties": { "symbol": { "type": "string" }, "orb_minutes": { "type": "integer" }, "total_days": { "type": "integer" }, "outcome_metrics": { "type": "object", "description": "Execution-quality and distribution metrics by breakout direction.", "properties": { "up": { "type": "object", "properties": { "breakout_events": { "type": "integer", "description": "Number of confirmed directional breakout events." }, "breakout_size": { "type": "object", "properties": { "count": { "type": "integer" }, "mean": { "type": "number", "nullable": true }, "median": { "type": "number", "nullable": true }, "stddev": { "type": "number", "nullable": true, "description": "Population standard deviation." }, "quartiles": { "type": "object" }, "percentiles": { "type": "object" } } }, "mfe": { "type": "object", "properties": { "count": { "type": "integer" }, "mean": { "type": "number", "nullable": true }, "median": { "type": "number", "nullable": true }, "stddev": { "type": "number", "nullable": true, "description": "Population standard deviation." }, "quartiles": { "type": "object" }, "percentiles": { "type": "object" } }, "description": "Maximum favourable excursion in price units after confirmation." }, "mae": { "type": "object", "properties": { "count": { "type": "integer" }, "mean": { "type": "number", "nullable": true }, "median": { "type": "number", "nullable": true }, "stddev": { "type": "number", "nullable": true, "description": "Population standard deviation." }, "quartiles": { "type": "object" }, "percentiles": { "type": "object" } }, "description": "Maximum adverse excursion in price units after confirmation." }, "mfe_orb_multiple": { "type": "object", "properties": { "count": { "type": "integer" }, "mean": { "type": "number", "nullable": true }, "median": { "type": "number", "nullable": true }, "stddev": { "type": "number", "nullable": true, "description": "Population standard deviation." }, "quartiles": { "type": "object" }, "percentiles": { "type": "object" } } }, "mae_orb_multiple": { "type": "object", "properties": { "count": { "type": "integer" }, "mean": { "type": "number", "nullable": true }, "median": { "type": "number", "nullable": true }, "stddev": { "type": "number", "nullable": true, "description": "Population standard deviation." }, "quartiles": { "type": "object" }, "percentiles": { "type": "object" } } }, "retest_rate_pct": { "type": "number", "nullable": true }, "false_breakout_rate_pct": { "type": "object", "additionalProperties": { "type": "number", "nullable": true } }, "target_hit_probabilities_pct": { "type": "object", "additionalProperties": { "type": "number", "nullable": true } }, "close_in_breakout_direction_rate_pct": { "type": "number", "nullable": true }, "time_to_target_seconds": { "type": "object", "additionalProperties": { "type": "object", "properties": { "count": { "type": "integer" }, "mean": { "type": "number", "nullable": true }, "median": { "type": "number", "nullable": true }, "stddev": { "type": "number", "nullable": true, "description": "Population standard deviation." }, "quartiles": { "type": "object" }, "percentiles": { "type": "object" } } } } } }, "down": { "type": "object", "properties": { "breakout_events": { "type": "integer", "description": "Number of confirmed directional breakout events." }, "breakout_size": { "type": "object", "properties": { "count": { "type": "integer" }, "mean": { "type": "number", "nullable": true }, "median": { "type": "number", "nullable": true }, "stddev": { "type": "number", "nullable": true, "description": "Population standard deviation." }, "quartiles": { "type": "object" }, "percentiles": { "type": "object" } } }, "mfe": { "type": "object", "properties": { "count": { "type": "integer" }, "mean": { "type": "number", "nullable": true }, "median": { "type": "number", "nullable": true }, "stddev": { "type": "number", "nullable": true, "description": "Population standard deviation." }, "quartiles": { "type": "object" }, "percentiles": { "type": "object" } }, "description": "Maximum favourable excursion in price units after confirmation." }, "mae": { "type": "object", "properties": { "count": { "type": "integer" }, "mean": { "type": "number", "nullable": true }, "median": { "type": "number", "nullable": true }, "stddev": { "type": "number", "nullable": true, "description": "Population standard deviation." }, "quartiles": { "type": "object" }, "percentiles": { "type": "object" } }, "description": "Maximum adverse excursion in price units after confirmation." }, "mfe_orb_multiple": { "type": "object", "properties": { "count": { "type": "integer" }, "mean": { "type": "number", "nullable": true }, "median": { "type": "number", "nullable": true }, "stddev": { "type": "number", "nullable": true, "description": "Population standard deviation." }, "quartiles": { "type": "object" }, "percentiles": { "type": "object" } } }, "mae_orb_multiple": { "type": "object", "properties": { "count": { "type": "integer" }, "mean": { "type": "number", "nullable": true }, "median": { "type": "number", "nullable": true }, "stddev": { "type": "number", "nullable": true, "description": "Population standard deviation." }, "quartiles": { "type": "object" }, "percentiles": { "type": "object" } } }, "retest_rate_pct": { "type": "number", "nullable": true }, "false_breakout_rate_pct": { "type": "object", "additionalProperties": { "type": "number", "nullable": true } }, "target_hit_probabilities_pct": { "type": "object", "additionalProperties": { "type": "number", "nullable": true } }, "close_in_breakout_direction_rate_pct": { "type": "number", "nullable": true }, "time_to_target_seconds": { "type": "object", "additionalProperties": { "type": "object", "properties": { "count": { "type": "integer" }, "mean": { "type": "number", "nullable": true }, "median": { "type": "number", "nullable": true }, "stddev": { "type": "number", "nullable": true, "description": "Population standard deviation." }, "quartiles": { "type": "object" }, "percentiles": { "type": "object" } } } } } } } } } } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/orb/top
Section titled “GET /stats/orb/top”Get Orb Top
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Trading date (YYYY-MM-DD) to analyse |
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
orb_minutes |
query | No | {"type": "integer", "default": 5} |
Length of opening range in minutes (e.g., 1, 2, 5, 15) |
top_n |
query | No | {"type": "integer", "default": 10} |
Number of top breakouts to return |
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
If True, include pre- and after-market data in breakout detection |
orb_reentry_candles |
query | No | {"type": "integer", "default": 2} |
Number of consecutive candles required to confirm reentry into the ORB zone after breakout |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/orb/top-picks
Section titled “GET /stats/orb/top-picks”Get Orb Top Picks
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
date |
query | Yes | {"type": "string"} |
Date in YYYY-MM-DD format |
orb_minutes |
query | No | {"type": "integer", "default": 5} |
Length of opening range in minutes (e.g., 1, 2, 5, 15) |
min_breakout_size |
query | No | {"type": "number", "default": 0.01} |
Minimum breakout size to consider |
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
If True, include pre- and after-market data in breakout detection |
orb_reentry_candles |
query | No | {"type": "integer", "default": 2} |
Number of consecutive candles required to confirm reentry into the ORB zone after breakout |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}